Home > Cannot Find > Php 5.3 Configure Error Cannot Find Libmysqlclient Under /usr

Php 5.3 Configure Error Cannot Find Libmysqlclient Under /usr

Contents

But PHP somehow "magically" knows how to find all of those other applications. Hint: Don't try building Mysql yourself if you don't know how to do it properly. why is rdsk not available on linux? Note that registered members see fewer ads, and ContentLink is completely disabled once you log in. Check This Out

How to stop NPCs from picking up dropped items Do Morpheus and his crew kill potential Ones? This is really an annoying issue, as I run into this every time, and I continue to have to come up with different solutions. it is just about having the 5.2 version running on ubuntu 12. Contact Us - Advertising Info - Rules - LQ Merchandise - Donations - Contributing Member - LQ Sitemap - Main Menu Linux Forum Android Forum Chrome OS Forum Search LQ

Cannot Find Mysql Header Files Under

and add the line extension=apc.so at the end of the file (you can also configure some additional APC settings): [...] extension=apc.so apc.enabled=1 apc.shm_size=128M apc.ttl=0 apc.user_ttl=600 apc.gc_ttl=600 apc.enable_cli=1 apc.mmap_file_mask=/tmp/apc.XXXXXX ;apc.mmap_file_mask=/dev/zero ;apc.shm_segments = Join them; it only takes a minute: Sign up Cannot find libmysqlclient under /usr up vote 0 down vote favorite I am installing PHP 5.3.10 and 5.5.9 on my Ubuntu (12.0.4) I installed apache with no issues. Your Answer draft saved draft discarded Sign up or log in Sign up using Google Sign up using Facebook Sign up using Email and Password Post as a guest Name

Browse other questions tagged php mysql ubuntu libmysql or ask your own question. Blogs Recent Entries Best Entries Best Blogs Blog List Search Blogs Home Forums HCL Reviews Tutorials Articles Register Search Search Forums Advanced Search Search Tags Search LQ Wiki Search Tutorials/Articles Search No, create an account now. Checking For Specified Location Of The Mysql Unix Socket... No This time, I'm stuck.

Tutorial Info Author: falko Tags: apache, php, debian, control panels, ispconfig, web server, nginx Share This Page Tweet Xenforo skin by Xenfocus Contact Help Imprint Tutorials Top RSS-Feed Terms Howtoforge © Cannot Find Libmysqlclient_r Note that the MySQL client library is not bundled anymore! noconfigure: error: Cannot find libmysqlclient under /usr.Note that the MySQL client library is not bundled anymore!Trying to compile on squeeze..

Tutorials How To Use Multiple PHP Versions (PHP-FPM & FastCGI) http://stackoverflow.com/questions/35499664/cannot-find-libmysqlclient-under-usr if the lib's in /foo/bar/baz/libmysql.so, you have to do --with-mysql=/foo/bar instead. –Marc B Sep 9 '14 at 15:44 I gave this a shot and no such luck. –inimrepus Sep

Anyhow the article needed to be updated so for pointing it out the first time we appreciate the note. Note That The Mysql Client Library Is Not Bundled Anymore! but I have to have this on my machine to support legacy scripts. Here's the output of ldconfig which only has one /usr listed. I have to admit I did spend about 15 minutes before noticing the correct option is --with-libdir NOT --with-lib-dir as in the first line of the first post in the thread.

Cannot Find Libmysqlclient_r

MySQL Version: bash [[email protected] php-5.2.8]# mysql --version mysql Ver 14.12 Distrib 5.0.45, for redhat-linux-gnu (x86_64) using readline 5.0 To resolve the issue add the below configuration options to your PHP configure http://serverfault.com/questions/68657/cannot-find-libmysqlclient-when-compiling-php5-on-dreamhost Do you want to help us debug the posting issues ? < is the place to report it, thanks ! Cannot Find Mysql Header Files Under more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed Php Cannot Find Libmysqlclient_r Main Menu LQ Calendar LQ Rules LQ Sitemap Site FAQ View New Posts View Latest Posts Zero Reply Threads LQ Wiki Most Wanted Jeremy's Blog Report LQ Bug Syndicate Latest

yes no don't know Rate the importance of this bug to you: high low Are you using the same PHP version? his comment is here Now it works! php mysql ubuntu-12.04 share|improve this question asked Feb 19 at 7:25 lalit 11 add a comment| active oldest votes Know someone who can answer? What a fantastic long life posting from ARUNR in 2009. Configure Error Cannot Find Mysql Header Files Under Usr Bin

The time now is 12:24 PM. I neglected to use & lt; and & gt; entities in my first comment and couldn't edit it to put them in. The APC, memcache, and memcached modules can be installed through PEAR which we must install and initialize first: apt-get -y install php-pear cd /opt/phpfcgi-5.3.22/etc pecl -C ./pear.conf update-channels APC can now this contact form Note that the MySQL client library is not bundled anymore!

MySQL was configured using: --prefix=/usr/local/mysql Configuring PHP using: --with-mysql=/usr/local/mysql fails with this: checking for MySQL support... Install Libmysqlclient I downloaded the lastest mysql rpms as well, and install those. Does it make a difference that the server is x32? –inimrepus Sep 9 '14 at 15:50 | show 5 more comments Your Answer draft saved draft discarded Sign up or

Why is Professor Lewin correct regarding dimensional analysis, and I'm not?

more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed On the Name tab, you just fill in a name for the PHP version (e.g. On this page 3 Building PHP 5.3.22 (FastCGI) 3 Building PHP 5.3.22 (FastCGI) Download and extract PHP 5.3.22: mkdir /opt/phpfcgi-5.3.22 mkdir /usr/local/src/php5-build cd /usr/local/src/php5-build wget http://de.php.net/get/php-5.3.22.tar.bz2/from/this/mirror -O php-5.3.22.tar.bz2 tar jxf php-5.3.22.tar.bz2 Configure: Error: Cannot Find Openssl's Libraries Afterwards, open /opt/phpfcgi-5.3.22/lib/php.ini...

It is NOT a bug in MySQL, which installs its libraries in lib64, just like every other application that is compiled for 64bit OS. yes checking for specified location of the MySQL UNIX socket... Any Idea how to resolve this? http://rss4medics.com/cannot-find/php-configure-cannot-find-libmysqlclient.php e.g.

Bookmark the permalink. add some more general information so it's clear how you solved the error message. –hakre Jun 21 '12 at 9:24 | show 5 more comments 2 Answers 2 active oldest votes configure.sh failed. Visit the following links: Site Howto | Site FAQ | Sitemap | Register Now If you have any problems with the registration process or your account login, please contact us.

asked 2 years ago viewed 2950 times active 2 years ago Upcoming Events 2016 Community Moderator Election ends Nov 22 Linked 10 Cannot find libmysqlclient under /usr. Having a problem logging in? no checking for MySQL support... Tiyogi Linux - Software 4 05-04-2004 08:24 AM Can't find php configure NW Otter Linux - Software 1 09-24-2003 01:33 AM All times are GMT -5.

Join them; it only takes a minute: Sign up Setting up a server and can't find libmysqlclient under /usr up vote 1 down vote favorite I am currently setting up a To see if your MySQL server is 64-bit or 32-bit check the version by issuing the below command and looking for a response also shown below. PHP Build Error: bash configure: error: Cannot find libmysqlclient under /usr. Trustfully, I agree not to become enraged when he suggests I know nothing about computers and post an enraged rant about him in the year 2014. ./configure --prefix=/usr/local/secure/php --with-apxs2=/usr/local/secure/apache2/bin/apxs --with-mysql=/usr/local/mysql/ --with-libdir=lib64